List all Environments
curl --request GET \
--url https://api.honeycomb.io/2/teams/{teamSlug}/environments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.honeycomb.io/2/teams/{teamSlug}/environments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.honeycomb.io/2/teams/{teamSlug}/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "environments",
"links": {
"self": "<string>"
},
"attributes": {
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"settings": {
"delete_protected": true
}
}
}
],
"links": {
"next": "/2/teams/my-team/api-keys?page[after]=3025fa645ad1100d&page[size]=10"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"description": "<string>"
}
]
}{
"error": "Rate Limited"
}{
"error": "something went wrong!",
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"instance": "<string>"
}List all Environments
GET
/
2
/
teams
/
{teamSlug}
/
environments
List all Environments
Authorizations
Authenticate using a Honeycomb Management Key.
Pass the Management Key as a Bearer token in the Authorization header:
Authorization: Bearer hcxmk_12345678901234567890123456:12345678901234567890123456789012
Construct the key value by joining the Key ID and Secret with a colon (:).
To learn how to create a Management Key, visit Manage Team API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
The slug of the Team
Query Parameters
The string value of the next attribute from a previous result page.
The cursor value must be empty or omitted for the first request of a cursor-paginated query.
The number of entries to include per response. Maximum value is 100.
Required range:
1 <= x <= 100⌘I